Open Bug 1544810 Opened 1 year ago Updated 1 day ago

Intermittent browser/components/originattributes/test/browser/browser_sanitize.js | http://example.net/ should be cached for all origin attributes.0 - Got true, expected false

Categories

(Core :: DOM: Security, defect, P5)

defect

Tracking

()

Tracking Status
firefox-esr68 --- disabled
firefox70 --- fixed

People

(Reporter: intermittent-bug-filer, Unassigned)

Details

(Keywords: intermittent-failure, leave-open, regression, Whiteboard: [domsecurity-intermittent][retriggered][stockwell disabled])

Attachments

(2 files)

#[markdown(off)]
Filed by: rmaries [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=240662908&repo=autoland

https://queue.taskcluster.net/v1/task/cuOV0FxmTEGUza_z6GDjsQ/runs/0/artifacts/public/logs/live_backing.log

14:25:09 INFO - TEST-START | browser/components/originattributes/test/browser/browser_sanitize.js

14:25:14 INFO - TEST-UNEXPECTED-FAIL | browser/components/originattributes/test/browser/browser_sanitize.js | http://example.net/ should be cached for all origin attributes.0 - Got true, expected false
14:25:14 INFO - Stack trace:
14:25:14 INFO - chrome://mochikit/content/browser-test.js:test_is:1325
14:25:14 INFO - chrome://mochitests/content/browser/browser/components/originattributes/test/browser/browser_sanitize.js:checkCacheExists/<:56
14:25:14 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1116
14:25:14 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1144
14:25:14 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:1005
14:25:14 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
14:25:14 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | http://example.net/ should be cached for all origin attributes.1 -
14:25:14 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | http://example.net/ should be cached for all origin attributes.2 -
14:25:14 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | http://example.net/ should be cached for all origin attributes.3 -
14:25:14 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | http://example.net/ should be cached for all origin attributes.4 -
14:25:14 INFO - Leaving test bound
14:25:14 INFO - Entering test bound
14:25:14 INFO - Starting the test for first party isolation
14:25:14 INFO - GECKO(5180) | ++DOCSHELL 00000169A6F0F800 == 7 [pid = 1336] [id = {92312322-d85e-4c91-99b4-0e8acc795434}]

Whiteboard: [domsecurity-intermittent]
Whiteboard: [domsecurity-intermittent] → [domsecurity-intermittent][retriggered]

(In reply to Bogdan Tara[:bogdan_tara] from comment #2)

I did some retriggers:
https://treeherder.mozilla.org/#/jobs?repo=autoland&searchStr=windows%2C10%2Cx64%2Cdebug%2Cmochitests%2Ctest-windows10-64%2Fdebug-mochitest-browser-chrome-5%2Cm%28bc5%29&fromchange=297c31b96b6e409fb40d22c26ab0b4fd6d87732a&tochange=0fab2cc0f44dce0708feb120ef41eb058a83e6a6&selectedJob=241096469

It seems this has started with the landing of bug 1260877.

:nchevobbe could you, please, take a look?

Bug 1260877 only changes DevTools code, and most of it lives behind a pref. Looking at the test, it doesn't seem to involve DevTools at all. Could it be that adding my test moved browser_sanitize.js to a new chunk, which makes it fail?

Flags: needinfo?(nchevobbe)

Nicolas, it looks like the test didn't change chunks (bc5) after your push: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=241096487&repo=autoland

Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/43820ec842ad
Disable browser_sanitize.js on windows due to frequent failures. r=jmaher
Keywords: leave-open
Whiteboard: [domsecurity-intermittent][retriggered][stockwell disable-recommended] → [domsecurity-intermittent][retriggered][stockwell disabled]

There are 36 total failures in the last 7 days: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-08-04&endday=2019-08-11&tree=trunk&bug=1544810

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=261011009&repo=autoland&lineNumber=2862

[task 2019-08-11T08:44:49.920Z] 08:44:49 INFO - TEST-START | browser/components/originattributes/test/browser/browser_sanitize.js
[task 2019-08-11T08:44:51.948Z] 08:44:51 INFO - TEST-UNEXPECTED-FAIL | browser/components/originattributes/test/browser/browser_sanitize.js | http://example.net/ should be cached for all origin attributes.3 - Got true, expected false
[task 2019-08-11T08:44:51.949Z] 08:44:51 INFO - Stack trace:
[task 2019-08-11T08:44:51.949Z] 08:44:51 INFO - chrome://mochikit/content/browser-test.js:test_is:1591
[task 2019-08-11T08:44:51.949Z] 08:44:51 INFO - chrome://mochitests/content/browser/browser/components/originattributes/test/browser/browser_sanitize.js:checkCacheExists/<:67
[task 2019-08-11T08:44:51.949Z] 08:44:51 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1346
[task 2019-08-11T08:44:51.949Z] 08:44:51 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1381
[task 2019-08-11T08:44:51.949Z] 08:44:51 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:1209
[task 2019-08-11T08:44:51.949Z] 08:44:51 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
[task 2019-08-11T08:44:51.950Z] 08:44:51 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-08-11T08:44:51.950Z] 08:44:51 INFO - TEST-UNEXPECTED-FAIL | browser/components/originattributes/test/browser/browser_sanitize.js | http://example.net/ should be cached for all origin attributes.4 - Got true, expected false
[task 2019-08-11T08:44:51.950Z] 08:44:51 INFO - Stack trace:
[task 2019-08-11T08:44:51.950Z] 08:44:51 INFO - chrome://mochikit/content/browser-test.js:test_is:1591
[task 2019-08-11T08:44:51.950Z] 08:44:51 INFO - chrome://mochitests/content/browser/browser/components/originattributes/test/browser/browser_sanitize.js:checkCacheExists/<:67
[task 2019-08-11T08:44:51.950Z] 08:44:51 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1346
[task 2019-08-11T08:44:51.950Z] 08:44:51 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1381
[task 2019-08-11T08:44:51.950Z] 08:44:51 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:1209
[task 2019-08-11T08:44:51.951Z] 08:44:51 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
[task 2019-08-11T08:44:51.951Z] 08:44:51 INFO - Leaving test bound
[task 2019-08-11T08:44:51.951Z] 08:44:51 INFO - Entering test bound
[task 2019-08-11T08:44:51.951Z] 08:44:51 INFO - Starting the test for first party isolation
[task 2019-08-11T08:44:51.956Z] 08:44:51 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | Testing first party isolation for isolation off with TabSettingA 0 and tabSettingB 0, resultA = undefined, resultB = undefined -
[task 2019-08-11T08:44:52.134Z] 08:44:52 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | Testing first party isolation for isolation on with TabSettingA 0 and tabSettingB 1, resultA = undefined, resultB = undefined -
[task 2019-08-11T08:44:52.154Z] 08:44:52 INFO - Leaving test bound
[task 2019-08-11T08:44:52.155Z] 08:44:52 INFO - Entering test bound
[task 2019-08-11T08:44:52.156Z] 08:44:52 INFO - Starting the test for no isolation
[task 2019-08-11T08:44:52.396Z] 08:44:52 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | Testing no isolation for isolation off with TabSettingA 0 and tabSettingB 0, resultA = undefined, resultB = undefined -
[task 2019-08-11T08:44:52.645Z] 08:44:52 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | Testing no isolation for isolation off with TabSettingA 0 and tabSettingB 1, resultA = undefined, resultB = undefined -
[task 2019-08-11T08:44:52.661Z] 08:44:52 INFO - Leaving test bound
[task 2019-08-11T08:44:52.662Z] 08:44:52 INFO - Entering test bound
[task 2019-08-11T08:44:52.663Z] 08:44:52 INFO - Starting the test for containers
[task 2019-08-11T08:44:52.852Z] 08:44:52 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | Testing containers for isolation off with TabSettingA 0 and tabSettingB 0, resultA = undefined, resultB = undefined -
[task 2019-08-11T08:44:53.037Z] 08:44:53 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | Testing containers for isolation on with TabSettingA 0 and tabSettingB 1, resultA = undefined, resultB = undefined -
[task 2019-08-11T08:44:53.054Z] 08:44:53 INFO - Leaving test bound
[task 2019-08-11T08:44:53.072Z] 08:44:53 INFO - GECKO(3594) | MEMORY STAT | vsize 3361MB | residentFast 468MB | heapAllocated 211MB
[task 2019-08-11T08:44:53.073Z] 08:44:53 INFO - TEST-OK | browser/components/originattributes/test/browser/browser_sanitize.js | took 3152ms
[task 2019-08-11T08:44:53.089Z] 08:44:53 INFO - checking window state
[task 2019-08-11T08:44:53.093Z] 08:44:53 INFO - GECKO(3594) | JavaScript error: resource://testing-common/PromiseTestUtils.jsm, line 112: uncaught exception: Object

Christoph could you assign this to someone?

Flags: needinfo?(ckerschb)
Whiteboard: [domsecurity-intermittent][retriggered][stockwell disabled] → [domsecurity-intermittent][retriggered][stockwell disabled][stockwell needswork:owner]

Jonas, could you take a quick look at this test to check if something obvious might be causing the intermittent?

Flags: needinfo?(ckerschb) → needinfo?(jallmann)

I spent some time inverstigating this, but I don't see any obvious reason yet for this to happen.

The test failure message seems to be misleading. Cache entries are expected to be absent after sanitization, but they are present in rare cases, causing the sub-tests to fail.
There are 5 sub-tests checking the presence of a cache entry for "http://example.net" for 5 different contexts after sanitization. Between 1 and 5 of these tests fail, in arbitrary combinations. This makes me suspect there's a race condition between these checks and the sanitizer, or sanitization of the cache entries is incomplete in these cases. I don't fully understand the sanitization process though, and I haven't been able to reproduce any test failures locally.

Should I keep trying to figure this out, Christoph?

Flags: needinfo?(jallmann) → needinfo?(ckerschb)

(In reply to Jonas Allmann [:jallmann] from comment #35)

I spent some time inverstigating this, but I don't see any obvious reason yet for this to happen.

Thanks for investigating Jonas - whenever you have a spare cycle please look into it again. If this is becoming a bigger problem for our infra then we obviously need to throw more resources at it.

Flags: needinfo?(ckerschb)

This has occurred 71 times in the last week, mostly on Linux 64 (11 occurrences on Mac OSX 1014), build type opt.

Recent failure: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=263179108&repo=mozilla-inbound&lineNumber=4107

[task 2019-08-23T14:12:37.884Z] 14:12:37 INFO - TEST-START | browser/components/originattributes/test/browser/browser_sanitize.js
[task 2019-08-23T14:12:39.430Z] 14:12:39 INFO - TEST-INFO | started process screentopng
[task 2019-08-23T14:12:39.951Z] 14:12:39 INFO - TEST-INFO | screentopng: exit 0
[task 2019-08-23T14:12:39.951Z] 14:12:39 INFO - Buffered messages logged at 14:12:37
[task 2019-08-23T14:12:39.952Z] 14:12:39 INFO - Entering test bound setup
[task 2019-08-23T14:12:39.952Z] 14:12:39 INFO - Leaving test bound setup
[task 2019-08-23T14:12:39.953Z] 14:12:39 INFO - Entering test bound
[task 2019-08-23T14:12:39.953Z] 14:12:39 INFO - Starting the test for first party isolation
[task 2019-08-23T14:12:39.954Z] 14:12:39 INFO - Buffered messages logged at 14:12:38
[task 2019-08-23T14:12:39.954Z] 14:12:39 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | Testing first party isolation for isolation off with TabSettingA 0 and tabSettingB 0, resultA = undefined, resultB = undefined -
[task 2019-08-23T14:12:39.954Z] 14:12:39 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | Testing first party isolation for isolation on with TabSettingA 0 and tabSettingB 1, resultA = undefined, resultB = undefined -
[task 2019-08-23T14:12:39.955Z] 14:12:39 INFO - Leaving test bound
[task 2019-08-23T14:12:39.955Z] 14:12:39 INFO - Entering test bound
[task 2019-08-23T14:12:39.955Z] 14:12:39 INFO - Starting the test for no isolation
[task 2019-08-23T14:12:39.955Z] 14:12:39 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | Testing no isolation for isolation off with TabSettingA 0 and tabSettingB 0, resultA = undefined, resultB = undefined -
[task 2019-08-23T14:12:39.956Z] 14:12:39 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | Testing no isolation for isolation off with TabSettingA 0 and tabSettingB 1, resultA = undefined, resultB = undefined -
[task 2019-08-23T14:12:39.956Z] 14:12:39 INFO - Leaving test bound
[task 2019-08-23T14:12:39.956Z] 14:12:39 INFO - Entering test bound
[task 2019-08-23T14:12:39.957Z] 14:12:39 INFO - Starting the test for containers
[task 2019-08-23T14:12:39.957Z] 14:12:39 INFO - Buffered messages logged at 14:12:39
[task 2019-08-23T14:12:39.957Z] 14:12:39 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | Testing containers for isolation off with TabSettingA 0 and tabSettingB 0, resultA = undefined, resultB = undefined -
[task 2019-08-23T14:12:39.958Z] 14:12:39 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | Testing containers for isolation on with TabSettingA 0 and tabSettingB 1, resultA = undefined, resultB = undefined -
[task 2019-08-23T14:12:39.958Z] 14:12:39 INFO - Leaving test bound
[task 2019-08-23T14:12:39.959Z] 14:12:39 INFO - Entering test bound
[task 2019-08-23T14:12:39.959Z] 14:12:39 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | http://example.net/ should not be cached for all origin attributes.0 -
[task 2019-08-23T14:12:39.960Z] 14:12:39 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | http://example.net/ should not be cached for all origin attributes.1 -
[task 2019-08-23T14:12:39.960Z] 14:12:39 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | http://example.net/ should not be cached for all origin attributes.2 -
[task 2019-08-23T14:12:39.960Z] 14:12:39 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | http://example.net/ should not be cached for all origin attributes.3 -
[task 2019-08-23T14:12:39.961Z] 14:12:39 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | http://example.net/ should not be cached for all origin attributes.4 -
[task 2019-08-23T14:12:39.962Z] 14:12:39 INFO - Leaving test bound
[task 2019-08-23T14:12:39.962Z] 14:12:39 INFO - Entering test bound sanitize
[task 2019-08-23T14:12:39.963Z] 14:12:39 INFO - Leaving test bound sanitize
[task 2019-08-23T14:12:39.963Z] 14:12:39 INFO - Entering test bound
[task 2019-08-23T14:12:39.964Z] 14:12:39 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | http://example.net/ should be cached for all origin attributes.0 -
[task 2019-08-23T14:12:39.965Z] 14:12:39 INFO - Buffered messages finished
[task 2019-08-23T14:12:39.968Z] 14:12:39 INFO - TEST-UNEXPECTED-FAIL | browser/components/originattributes/test/browser/browser_sanitize.js | http://example.net/ should be cached for all origin attributes.1 - Got true, expected false
[task 2019-08-23T14:12:39.969Z] 14:12:39 INFO - Stack trace:
[task 2019-08-23T14:12:39.969Z] 14:12:39 INFO - chrome://mochikit/content/browser-test.js:test_is:1595
[task 2019-08-23T14:12:39.969Z] 14:12:39 INFO - chrome://mochitests/content/browser/browser/components/originattributes/test/browser/browser_sanitize.js:checkCacheExists/<:67
[task 2019-08-23T14:12:39.970Z] 14:12:39 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1350
[task 2019-08-23T14:12:39.970Z] 14:12:39 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1385
[task 2019-08-23T14:12:39.971Z] 14:12:39 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:1213
[task 2019-08-23T14:12:39.971Z] 14:12:39 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:805
[task 2019-08-23T14:12:39.972Z] 14:12:39 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-08-23T14:12:39.972Z] 14:12:39 INFO - TEST-UNEXPECTED-FAIL | browser/components/originattributes/test/browser/browser_sanitize.js | http://example.net/ should be cached for all origin attributes.2 - Got true, expected false
[task 2019-08-23T14:12:39.973Z] 14:12:39 INFO - Stack trace:
[task 2019-08-23T14:12:39.973Z] 14:12:39 INFO - chrome://mochikit/content/browser-test.js:test_is:1595
[task 2019-08-23T14:12:39.973Z] 14:12:39 INFO - chrome://mochitests/content/browser/browser/components/originattributes/test/browser/browser_sanitize.js:checkCacheExists/<:67
[task 2019-08-23T14:12:39.975Z] 14:12:39 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1350
[task 2019-08-23T14:12:39.975Z] 14:12:39 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1385
[task 2019-08-23T14:12:39.975Z] 14:12:39 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:1213
[task 2019-08-23T14:12:39.976Z] 14:12:39 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:805
[task 2019-08-23T14:12:39.978Z] 14:12:39 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-08-23T14:12:39.978Z] 14:12:39 INFO - TEST-UNEXPECTED-FAIL | browser/components/originattributes/test/browser/browser_sanitize.js | http://example.net/ should be cached for all origin attributes.3 - Got true, expected false
[task 2019-08-23T14:12:39.979Z] 14:12:39 INFO - Stack trace:
[task 2019-08-23T14:12:39.980Z] 14:12:39 INFO - chrome://mochikit/content/browser-test.js:test_is:1595
[task 2019-08-23T14:12:39.980Z] 14:12:39 INFO - chrome://mochitests/content/browser/browser/components/originattributes/test/browser/browser_sanitize.js:checkCacheExists/<:67
[task 2019-08-23T14:12:39.981Z] 14:12:39 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1350
[task 2019-08-23T14:12:39.981Z] 14:12:39 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1385
[task 2019-08-23T14:12:39.982Z] 14:12:39 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:1213
[task 2019-08-23T14:12:39.982Z] 14:12:39 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:805
[task 2019-08-23T14:12:39.984Z] 14:12:39 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-08-23T14:12:39.985Z] 14:12:39 INFO - TEST-UNEXPECTED-FAIL | browser/components/originattributes/test/browser/browser_sanitize.js | http://example.net/ should be cached for all origin attributes.4 - Got true, expected false
[task 2019-08-23T14:12:39.985Z] 14:12:39 INFO - Stack trace:
[task 2019-08-23T14:12:39.986Z] 14:12:39 INFO - chrome://mochikit/content/browser-test.js:test_is:1595
[task 2019-08-23T14:12:39.986Z] 14:12:39 INFO - chrome://mochitests/content/browser/browser/components/originattributes/test/browser/browser_sanitize.js:checkCacheExists/<:67
[task 2019-08-23T14:12:39.987Z] 14:12:39 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1350
[task 2019-08-23T14:12:39.988Z] 14:12:39 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1385
[task 2019-08-23T14:12:39.988Z] 14:12:39 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:1213
[task 2019-08-23T14:12:39.989Z] 14:12:39 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:805
[task 2019-08-23T14:12:39.989Z] 14:12:39 INFO - Leaving test bound
[task 2019-08-23T14:12:39.990Z] 14:12:39 INFO - Entering test bound
[task 2019-08-23T14:12:39.992Z] 14:12:39 INFO - Starting the test for first party isolation
[task 2019-08-23T14:12:39.993Z] 14:12:39 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | Testing first party isolation for isolation off with TabSettingA 0 and tabSettingB 0, resultA = undefined, resultB = undefined -
[task 2019-08-23T14:12:40.138Z] 14:12:40 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | Testing first party isolation for isolation on with TabSettingA 0 and tabSettingB 1, resultA = undefined, resultB = undefined -
[task 2019-08-23T14:12:40.159Z] 14:12:40 INFO - Leaving test bound
[task 2019-08-23T14:12:40.159Z] 14:12:40 INFO - Entering test bound
[task 2019-08-23T14:12:40.159Z] 14:12:40 INFO - Starting the test for no isolation
[task 2019-08-23T14:12:40.416Z] 14:12:40 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | Testing no isolation for isolation off with TabSettingA 0 and tabSettingB 0, resultA = undefined, resultB = undefined -
[task 2019-08-23T14:12:40.666Z] 14:12:40 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | Testing no isolation for isolation off with TabSettingA 0 and tabSettingB 1, resultA = undefined, resultB = undefined -
[task 2019-08-23T14:12:40.686Z] 14:12:40 INFO - Leaving test bound
[task 2019-08-23T14:12:40.687Z] 14:12:40 INFO - Entering test bound
[task 2019-08-23T14:12:40.688Z] 14:12:40 INFO - Starting the test for containers
[task 2019-08-23T14:12:40.876Z] 14:12:40 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | Testing containers for isolation off with TabSettingA 0 and tabSettingB 0, resultA = undefined, resultB = undefined -
[task 2019-08-23T14:12:41.045Z] 14:12:41 INFO - TEST-PASS | browser/components/originattributes/test/browser/browser_sanitize.js | Testing containers for isolation on with TabSettingA 0 and tabSettingB 1, resultA = undefined, resultB = undefined -
[task 2019-08-23T14:12:41.062Z] 14:12:41 INFO - Leaving test bound
[task 2019-08-23T14:12:41.078Z] 14:12:41 INFO - GECKO(6384) | JavaScript error: resource://testing-common/PromiseTestUtils.jsm, line 112: uncaught exception: Object
[task 2019-08-23T14:12:41.082Z] 14:12:41 INFO - Console message: [JavaScript Error: "uncaught exception: Object" {file: "resource://testing-common/PromiseTestUtils.jsm" line: 112}]
[task 2019-08-23T14:12:41.083Z] 14:12:41 INFO - GECKO(6384) | MEMORY STAT | vsize 3370MB | residentFast 482MB | heapAllocated 226MB
[task 2019-08-23T14:12:41.087Z] 14:12:41 INFO - TEST-OK | browser/components/originattributes/test/browser/browser_sanitize.js | took 3200ms

(In reply to Christoph Kerschbaumer [:ckerschb, back on Mon. Sept. 2nd] from comment #36)

(In reply to Jonas Allmann [:jallmann] from comment #35)

I spent some time inverstigating this, but I don't see any obvious reason yet for this to happen.

Thanks for investigating Jonas - whenever you have a spare cycle please look into it again. If this is becoming a bigger problem for our infra then we obviously need to throw more resources at it.

Hi Cristoph. The occurance rate in the last 30 days is 170 total failures, reason why I made the disabling patch until there is a fix for this.

Keywords: checkin-needed

Pushed by rmaries@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/399d210c5a19
test disabled on linux64 and macosx 10.14 r=gbrown

Keywords: checkin-needed
Whiteboard: [domsecurity-intermittent][retriggered][stockwell disabled][stockwell needswork:owner] → [domsecurity-intermittent][retriggered][stockwell disabled]
You need to log in before you can comment on or make changes to this bug.